import json
import os

fname = os.path.join(os.path.dirname(__file__), 'params_default.json')
if os.path.isfile(fname):
  with open(fname, 'r') as f:
      params_default = json.load(f)
else:
  print(f'File {fname} does not exist.')

fname = os.path.join(os.path.dirname(__file__), 'params_user.json')
if os.path.isfile(fname):
  with open(fname, 'r') as f:
      params_user = json.load(f)
else:
  print(f'File {fname} does not exist.')

try:
  params = params_default | params_user
except:
  params = params_default
